Bug 1413394 - Review Request: python-memory_profiler - Module for monitoring memory usage of a python program
Summary: Review Request: python-memory_profiler - Module for monitoring memory usage o...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Athos Ribeiro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-15 18:06 UTC by Igor Gnatenko
Modified: 2018-08-22 07:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-22 07:31:40 UTC
Type: ---
athoscribeiro: fedora-review+


Attachments (Terms of Use)

Description Igor Gnatenko 2017-01-15 18:06:40 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/python-memory_profiler.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/python-memory_profiler-0.43-1.fc26.src.rpm
Description:
This is a python module for monitoring memory consumption of a process as well
as line-by-line analysis of memory consumption for python programs.
Fedora Account System Username: ignatenkobrain

Comment 1 Athos Ribeiro 2017-01-15 19:04:20 UTC
Hello, Igor

One of the tests raises an UnicodeEncodeError and terminates the build.

/usr/bin/python2 -m memory_profiler test/test_unicode.py
Filename: test/test_unicode.py
Line #    Mem usage    Increment   Line Contents
================================================
     3   13.199 MiB    0.000 MiB   @profile
     4                             def test_unicode(txt):
     5                                 # test when unicode is present
Traceback (most recent call last):
  File "/usr/lib64/python2.7/runpy.py", line 174, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/usr/lib64/python2.7/runpy.py", line 72, in _run_code
    exec code in run_globals
  File "/builddir/build/BUILD/memory_profiler-0.43/memory_profiler.py", line 1149, in <module>
    show_results(prof, precision=options.precision, stream=out_file)
  File "/builddir/build/BUILD/memory_profiler-0.43/memory_profiler.py", line 702, in show_results
    stream.write(unicode(tmp, 'UTF-8'))
UnicodeEncodeError: 'ascii' codec can't encode character u'\u06cc' in position 60: ordinal not in range(128)
make: *** [Makefile:12: test] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.OlvCjS (%check)
    Bad exit status from /var/tmp/rpm-tmp.OlvCjS (%check)
RPM build errors:
Child return code was: 1
EXCEPTION: [Error()]
Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/mockbuild/trace_decorator.py", line 89, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.5/site-packages/mockbuild/util.py", line 578, in do
    raise exception.Error("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
mockbuild.exception.Error: Command failed. See logs for output.
 # bash --login -c /usr/bin/rpmbuild -bb --target x86_64 --nodeps /builddir/build/SPECS/python-memory_profiler.spec
Mock Version: 1.3.3

Comment 2 Igor Gnatenko 2017-01-15 20:39:55 UTC
how was you able to make it? It got fixed once I set export LC_ALL=C.UTF-8...

Comment 3 Athos Ribeiro 2017-01-16 14:30:36 UTC
Basically running fedora-review. After that I tried just mock and got the same results.

$ mock --version
1.3.3

<mock-chroot> sh-4.4# locale
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=
<mock-chroot> sh-4.4# exit
logout
Finish: shell

[athos@host-machine]$ locale
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=

Comment 4 Athos Ribeiro 2017-02-10 19:32:22 UTC
Hi Igor,

I realized that the exported LC_ALL in the spec file was not being exported to the shells spawned by make. I have no idea why it was working for you though (unless you were not building it with mock).

I changed the line exporting LC_ALL for:

sed -i '/test\/test_/ s/^/LC_ALL=C.UTF-8 /' Makefile

to get the package to pass the unicode tests.

The package is approved.

Package Review
==============
Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     /usr/lib/python3.6/site-packages, /usr/lib/python3.6
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-memory_profiler-0.43-1.fc26.noarch.rpm
          python3-memory_profiler-0.43-1.fc26.noarch.rpm
          python-memory_profiler-0.43-1.fc26.src.rpm
python2-memory_profiler.noarch: W: no-manual-page-for-binary mprof-2
python2-memory_profiler.noarch: W: no-manual-page-for-binary mprof
python2-memory_profiler.noarch: W: no-manual-page-for-binary mprof-2.7
python3-memory_profiler.noarch: W: no-manual-page-for-binary mprof-3
python3-memory_profiler.noarch: W: no-manual-page-for-binary mprof-3.6
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
python2-memory_profiler.noarch: W: no-manual-page-for-binary mprof
python2-memory_profiler.noarch: W: no-manual-page-for-binary mprof-2
python2-memory_profiler.noarch: W: no-manual-page-for-binary mprof-2.7
python3-memory_profiler.noarch: W: no-manual-page-for-binary mprof-3
python3-memory_profiler.noarch: W: no-manual-page-for-binary mprof-3.6
2 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
python2-memory_profiler (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)

python3-memory_profiler (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)



Provides
--------
python2-memory_profiler:
    python-memory_profiler
    python2-memory_profiler
    python2.7dist(memory-profiler)
    python2dist(memory-profiler)

python3-memory_profiler:
    python3-memory_profiler
    python3.6dist(memory-profiler)
    python3dist(memory-profiler)


Source checksums
----------------
https://github.com/fabianp/memory_profiler/archive/0.43/memory_profiler-0.43.tar.gz :
  CHECKSUM(SHA256) this package     : 9f137b198d950b61d0b976129065cc3a81ff17163c3329d4300fe1daec34e8bb
  CHECKSUM(SHA256) upstream package : 9f137b198d950b61d0b976129065cc3a81ff17163c3329d4300fe1daec34e8bb

Comment 5 Athos Ribeiro 2017-07-19 23:05:16 UTC
Hi Igor,

Going through some of my unresolved bugs. Any reason this did not get imported?

Comment 6 Igor Raits 2018-08-22 07:31:40 UTC
Unfortunately I don't have time to work on these review requests anymore, sorry.


Note You need to log in before you can comment on or make changes to this bug.